using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace AI.Platform.Core.Entity.Site
{
    [SugarTable(null,"站点表")]
    public class SiteEntity: EntityBaseLite
    {
        [SugarColumn(ColumnDescription ="父站id")]
        public long ParentId { get; set; }

        [SugarColumn(ColumnDescription = "站名",IsNullable = false)]
        public string Name { get; set; }

        [SugarColumn(ColumnDescription = "油站地址")]
        public string Address { get; set; }

        [SugarColumn(ColumnDescription = "联系方式")]
        public string Contact {  get; set; }

        [SugarColumn(ColumnDescription = "上传文件大小")]
        public long MaxSize { get; set; }
    }
}
